package cn.iocoder.yudao.module.system.service.nursing;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ItemPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NurseItemDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.NursingCategoryDO;

import java.util.List;

public interface NurseItemService {
    void addNurseItem(NurseItemDO itemDO);

    void editNurseItem(NurseItemDO nurseItemDO);

    NurseItemDO getDetail(Long itemId);

    void delete(Long itemId);

    PageResult<NurseItemDO> queryPage(ItemPageReqVO pageReqVO);

    void move(NurseItemDO nurseItemDO);

    List<NursingCategoryDO> getParentCategoryList(Long tenantId);
}
